RMagick installation error


#1

Hi everyone,
I don’t know if it’s the right place to ask you this question.
Anyway, now I’m trying to install RMagick, under Ubuntu Linux, in order
to have an image resizing using RubyonRails. I followed the description
how to install RMagic:
http://rmagick.rubyforge.org/install-linux.html
Everything works, as it’s written, but during the last point (Step 3:
Install RMagick) I have an error during the execution of “make”, as
below.


matteod@bones:~/Programs/RMagick-1.10.1$ make
/usr/local/bin/ruby install.rb config
install.rb: entering config phase…
—> lib
—> lib/rvg
<— lib/rvg
<— lib
—> ext
—> ext/RMagick
/usr/bin/ruby1.8
/home/matteod/Programs/RMagick-1.10.1/ext/RMagick/extconf.rb
/home/matteod/Programs/RMagick-1.10.1/ext/RMagick/extconf.rb:4:in
`require’: no such file to load – mkmf (LoadError)
from
/home/matteod/Programs/RMagick-1.10.1/ext/RMagick/extconf.rb:4
config failed
'system /usr/bin/ruby1.8
/home/matteod/Programs/RMagick-1.10.1/ext/RMagick/extconf.rb ’ failed
try ‘ruby install.rb --help’ for usage
make: *** [config.save] Error 1

Does anyone suggest me the solution?
What should I do?
Thanks a lot!
Matteo